package pwc.taxtech.atms.dto.equity;


import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;

import java.util.Date;

public class EquityInfoDto {
    /**
     * Database Column Remarks:
     *   唯一编号
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.id
     *
     * @mbg.generated
     */
    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;

    /**
     * Database Column Remarks:
     *   股权信息序号。从1开始
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.e_num
     *
     * @mbg.generated
     */
    private Integer eNum;

    /**
     * Database Column Remarks:
     *   对应机构编号
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.organization_id
     *
     * @mbg.generated
     */
    private String organizationId;

    /**
     * Database Column Remarks:
     *   认缴股东姓名
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.sub_shareholders_name
     *
     * @mbg.generated
     */
    private String subShareholdersName;

    /**
     * Database Column Remarks:
     *   认缴股东身份证号
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.sub_shareholders_id_num
     *
     * @mbg.generated
     */
    private String subShareholdersIdNum;

    /**
     * Database Column Remarks:
     *   认缴股东企业名称
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.sub_shareholders_ent_name
     *
     * @mbg.generated
     */
    private String subShareholdersEntName;

    /**
     * Database Column Remarks:
     *   认缴股东企业税号
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.sub_shareholders_ent_tax_num
     *
     * @mbg.generated
     */
    private String subShareholdersEntTaxNum;

    /**
     * Database Column Remarks:
     *   认缴出资金额
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.sub_capital_contribution_amount
     *
     * @mbg.generated
     */
    private Long subCapitalContributionAmount;

    /**
     * Database Column Remarks:
     *   认缴出资比例。百分比，多个股东合计为100%
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.sub_contribution_proportion
     *
     * @mbg.generated
     */
    private Byte subContributionProportion;

    /**
     * Database Column Remarks:
     *   实缴股东姓名
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.paid_in_shareholders_name
     *
     * @mbg.generated
     */
    private String paidInShareholdersName;

    /**
     * Database Column Remarks:
     *   实缴股东企业名称
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.paid_in_shareholders_ent_name
     *
     * @mbg.generated
     */
    private String paidInShareholdersEntName;

    /**
     * Database Column Remarks:
     *   实缴股东企业税号
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.paid_in_shareholders_ent_tax_num
     *
     * @mbg.generated
     */
    private String paidInShareholdersEntTaxNum;

    /**
     * Database Column Remarks:
     *   实缴出资金额
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.paid_in_capital_contribution_amount
     *
     * @mbg.generated
     */
    private Long paidInCapitalContributionAmount;

    /**
     * Database Column Remarks:
     *   实缴出资比例。百分比，多个股东合计为100%
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.paid_in_contribution_proportion
     *
     * @mbg.generated
     */
    private Byte paidInContributionProportion;

    /**
     * Database Column Remarks:
     *   创建时间
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.create_time
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * Database Column Remarks:
     *   更新时间
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column equity_information.update_time
     *
     * @mbg.generated
     */
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer geteNum() {
        return eNum;
    }

    public void seteNum(Integer eNum) {
        this.eNum = eNum;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getSubShareholdersName() {
        return subShareholdersName;
    }

    public void setSubShareholdersName(String subShareholdersName) {
        this.subShareholdersName = subShareholdersName;
    }

    public String getSubShareholdersIdNum() {
        return subShareholdersIdNum;
    }

    public void setSubShareholdersIdNum(String subShareholdersIdNum) {
        this.subShareholdersIdNum = subShareholdersIdNum;
    }

    public String getSubShareholdersEntName() {
        return subShareholdersEntName;
    }

    public void setSubShareholdersEntName(String subShareholdersEntName) {
        this.subShareholdersEntName = subShareholdersEntName;
    }

    public String getSubShareholdersEntTaxNum() {
        return subShareholdersEntTaxNum;
    }

    public void setSubShareholdersEntTaxNum(String subShareholdersEntTaxNum) {
        this.subShareholdersEntTaxNum = subShareholdersEntTaxNum;
    }

    public Byte getSubContributionProportion() {
        return subContributionProportion;
    }

    public void setSubContributionProportion(Byte subContributionProportion) {
        this.subContributionProportion = subContributionProportion;
    }

    public String getPaidInShareholdersName() {
        return paidInShareholdersName;
    }

    public void setPaidInShareholdersName(String paidInShareholdersName) {
        this.paidInShareholdersName = paidInShareholdersName;
    }

    public String getPaidInShareholdersEntName() {
        return paidInShareholdersEntName;
    }

    public void setPaidInShareholdersEntName(String paidInShareholdersEntName) {
        this.paidInShareholdersEntName = paidInShareholdersEntName;
    }

    public String getPaidInShareholdersEntTaxNum() {
        return paidInShareholdersEntTaxNum;
    }

    public void setPaidInShareholdersEntTaxNum(String paidInShareholdersEntTaxNum) {
        this.paidInShareholdersEntTaxNum = paidInShareholdersEntTaxNum;
    }

    public Byte getPaidInContributionProportion() {
        return paidInContributionProportion;
    }

    public void setPaidInContributionProportion(Byte paidInContributionProportion) {
        this.paidInContributionProportion = paidInContributionProportion;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getSubCapitalContributionAmount() {
        return subCapitalContributionAmount;
    }

    public void setSubCapitalContributionAmount(Long subCapitalContributionAmount) {
        this.subCapitalContributionAmount = subCapitalContributionAmount;
    }

    public Long getPaidInCapitalContributionAmount() {
        return paidInCapitalContributionAmount;
    }

    public void setPaidInCapitalContributionAmount(Long paidInCapitalContributionAmount) {
        this.paidInCapitalContributionAmount = paidInCapitalContributionAmount;
    }
}
