﻿// web service proxy for org
webservices.factory('orgExtraService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        // 机构其他信息-发票信息
        getInvoiceListByOrgId: function (orgId) {
            return $http.get('/orgExtra/invoice/getListByOrgId?orgId=' + orgId, apiConfig.create());
        },
        insertInvoice: function (organizationInvoiceDtos) {
            return $http.post('/orgExtra/invoice/insert' , organizationInvoiceDtos, apiConfig.create());
        },
        updateInvoice: function (organizationInvoiceDtos) {
            return $http.post('/orgExtra/invoice/update' , organizationInvoiceDtos, apiConfig.create());
        },
        deleteInvoice: function (id) {
            return $http.get('/orgExtra/invoice/delete?id=' + id, apiConfig.create());
        },
        // 机构其他信息-发票信息
        getTaxRuleListByOrgId: function (orgId) {
            return $http.get('/orgExtra/taxRule/getListByOrgId?orgId=' + orgId, apiConfig.create());
        },
        insertTaxRule: function (organizationTaxRuleDtos) {
            return $http.post('/orgExtra/taxRule/insert' , organizationTaxRuleDtos, apiConfig.create());
        },
        updateTaxRule: function (organizationTaxRuleDtos) {
            return $http.post('/orgExtra/taxRule/update' , organizationTaxRuleDtos, apiConfig.create());
        },
        deleteTaxRule: function (id) {
            return $http.get('/orgExtra/taxRule/delete?id=' + id, apiConfig.create());
        },
        // 机构其他信息-入账汇率信息
        getAccountingRateListByOrgId: function (orgId) {
            return $http.get('/orgExtra/accountingRate/getListByOrgId?orgId=' + orgId, apiConfig.create());
        },
        insertAccountingRate: function (organizationAccountingRateDtos) {
            return $http.post('/orgExtra/accountingRate/insert' , organizationAccountingRateDtos, apiConfig.create());
        },
        updateAccountingRate: function (organizationAccountingRateDto) {
            return $http.post('/orgExtra/accountingRate/update' , organizationAccountingRateDto, apiConfig.create());
        },
        deleteAccountingRate: function (id) {
            return $http.get('/orgExtra/accountingRate/delete?id=' + id, apiConfig.create());
        },
        // 机构其他信息-返还率信息
        getReturnRateListByOrgId: function (orgId) {
            return $http.get('/orgExtra/returnRate/getListByOrgId?orgId=' + orgId, apiConfig.create());
        },
        insertReturnRate: function (organizationReturnRateDtos) {
            return $http.post('/orgExtra/returnRate/insert' , organizationReturnRateDtos, apiConfig.create());
        },
        updateReturnRate: function (organizationReturnRateDto) {
            return $http.post('/orgExtra/returnRate/update' , organizationReturnRateDto, apiConfig.create());
        },
        deleteReturnRate: function (id) {
            return $http.get('/orgExtra/returnRate/delete?id=' + id, apiConfig.create());
        },
        // 机构其他信息-核定征收信息
        getApprovedLevyInfoListByOrgId: function (orgId) {
            return $http.get('/orgExtra/approvedLevyInfo/getListByOrgId?orgId=' + orgId, apiConfig.create());
        },
        insertApprovedLevyInfo: function (organizationApprovedLevyInfoDtos) {
            return $http.post('/orgExtra/approvedLevyInfo/insert' , organizationApprovedLevyInfoDtos, apiConfig.create());
        },
        updateApprovedLevyInfo: function (organizationApprovedLevyInfoDto) {
            return $http.post('/orgExtra/approvedLevyInfo/update' , organizationApprovedLevyInfoDto, apiConfig.create());
        },
        deleteApprovedLevyInfo: function (id) {
            return $http.get('/orgExtra/approvedLevyInfo/delete?id=' + id, apiConfig.create());
        },
        // 机构其他信息-专管员列表
        getTaxOfficerListByOrgId: function (orgId) {
            return $http.get('/orgExtra/taxOfficer/getListByOrgId?orgId=' + orgId, apiConfig.create());
        },
        insertTaxOfficer: function (organizationTaxOfficerDtos) {
            return $http.post('/orgExtra/taxOfficer/insert' , organizationTaxOfficerDtos, apiConfig.create());
        },
        updateTaxOfficer: function (organizationTaxOfficerDto) {
            return $http.post('/orgExtra/taxOfficer/update' , organizationTaxOfficerDto, apiConfig.create());
        },
        deleteTaxOfficer: function (id) {
            return $http.get('/orgExtra/taxOfficer/delete?id=' + id, apiConfig.create());
        }

    };
}]);